import java.util.Scanner;

public class Dec2Hex {
  /** Metoda main */
  public static void main(String[] args) {
    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);

    // Prośba o wpisanie liczby dziesiętnej
    System.out.print("Wpisz liczbę dziesiętną: ");
    int decimal = input.nextInt();

    // Przekształcanie liczby dziesiętnej w szesnastkową
    String hex = "";
    
    while (decimal != 0) {
      int hexValue = decimal % 16; 
      
      // Przekształcanie wartości dziesiętnej na cyfrę szesnastkową
      char hexDigit = (0 <= hexValue && hexValue <= 9) ?
        (char)(hexValue + '0') : (char)(hexValue - 10 + 'A');
      
      hex = hexDigit + hex;
      decimal = decimal / 16;
    }
    
    System.out.println("Liczba szesnastkowa to: " + hex);
  }
}
